<div class="container-fluid">
  <div class="card">
    <div class="card-header bg-info">
      <div class="row">
        <div class="col-sm-6">
          Budget Heads
        </div>
        <div class="col-sm-6">
          <button class="btn btn-success btn-sm fa-pull-right"
                  (click)="addEditBudgetHead('Add', null)">Add New Budget Head</button>
        </div>
      </div>
    </div>
    <div class="card-body">
      <p-table id="exportTable"
               class="text-left"
               [columns]="columnName"
               [value]="(data$)"
               [resizableColumns]="true"
               [autoLayout]="true"
               [paginator]="true"
               [rows]="10"
               [showCurrentPageReport]="true">

        <ng-template pTemplate="caption">
          List of Budget Heads
          :&nbsp;{{ totalRecords }}
        </ng-template>
        <ng-template pTemplate="header" let-columns>
          <tr>
            <th *ngFor="let col of columns" [pSortableColumn]="col.value">
              {{col.name}}
              <p-sortIcon [field]="col.value"></p-sortIcon>
            </th>
          </tr>
        </ng-template>

        <ng-template pTemplate="body" let-list let-i="rowIndex">
          <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
            <td>{{ i + 1}}</td>
            <td>{{ list.createdDate }}</td>
            <td>{{ list.budgetHead}}</td>
            <td>{{ list.code}}</td>
            <td>{{ list.userGroupResource?.description }}</td>
            <td>
              <p-inputSwitch
                [name]="list.status"
                [inputId]="list.status"
                (onChange)="handleChange($event, list.budgetHeadId)"
                [ngModel]="list.status === 'ACTIVE'? true: false ">
              </p-inputSwitch>
            </td>
            <td>
              <a (click)="addEditBudgetHead('Edit', list)">
                <svg class="bi bi-pencil-square"
                     width="1em"
                     height="1em"
                     viewBox="0 0 16 16"
                     fill="currentColor"
                     xmlns="http://www.w3.org/2000/svg">
                  <path d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456l-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z"/>
                  <path fill-rule="evenodd" d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z"/>
                </svg>
              </a>
            </td>
          </tr>
        </ng-template>
      </p-table>
    </div>
  </div>
</div>


<p-dialog [(visible)]="display"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '490px', height: 'auto'}">
  <p-header>
    {{addEditType}} Budget Head
  </p-header>
  <form [formGroup]="addEditBudgetHeadForm">
    <div class="form-group">
      <label for="userGroup">User Group</label>
      <select id="userGroup"
              class="form-control"
              name="userGroup"
              formControlName="userGroupId"
              required>
        <option *ngFor="let event of (userGroups); let i = index"
                [ngValue]="(userGroups)[i].userGroupId"
        >{{(userGroups)[i].description + ' ( ' + (userGroups)[i].description + ' )' }}</option>
      </select>
    </div>

    <div class="form-group">
      <label for="budgetHead">Budget Head</label>
      <input type="text"
             class="form-control"
             id="budgetHead"
             formControlName="budgetHead"
             placeholder="Enter Budget Head"
             required
      >
      <!--              <small id="subjectHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>-->
    </div>
    <div class="form-group">
      <label for="budgetCode">Budget Code</label>
      <input type="text"
             class="form-control"
             id="budgetCode"
             formControlName="budgetCode"
             placeholder="Enter Budget Code"
             required
      >
      <!--              <small id="subjectHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>-->
    </div>
    <p-footer>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-danger btn-block" (click)="cancel()"> Cancel</button>
        </div>
        <div class="col-sm-6">
          <button class="btn btn-success btn-block"
                  [disabled]="addEditBudgetHeadForm.invalid"
                  (click)="submit()" type="submit">
            Submit</button>
        </div>
      </div>
    </p-footer>
  </form>
</p-dialog>

